Name:           dasm
Version:        2.20.14.1
Release:        1%{?dist}
Summary:        Cross-assembler for the 6502-class family
License:        GPLv2+
URL:            https://dasm-assembler.github.io/
Source0:        https://github.com/dasm-assembler/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  make


%description
dasm is a versatile macro assembler with support for several 8-bit
microprocessors including MOS 6502 & 6507, Motorola 6803, 68705 & 68HC11,
Hitachi HD6303 (extended Motorola 6801), and Fairchild F8. 


%prep
%setup -q


%build
make CFLAGS="%{build_cflags}" LDFLAGS="%{build_ldflags}"


%install
mkdir -p %{buildroot}{%{_bindir},%{_mandir}/man1}
install -p -m 0755 bin/dasm bin/ftohex %{buildroot}%{_bindir}
install -p -m 0644 docs/dasm.1 %{buildroot}%{_mandir}/man1


%check
make test


%files
%license LICENSE
%doc ChangeLog NEWS README* docs/*.txt
%{_bindir}/dasm
%{_bindir}/ftohex
%{_mandir}/man1/dasm.1*


%changelog
* Sun Jun 13 2021 Dan Horák <dan[at]danny.cz> - 2.20.14.1-1
- updated to 2.20.14.1

* Sun Apr 08 2012 Dan Horák <dan[at]danny.cz> - 2.20.11-1
- updated to 2.20.11

* Mon Aug 31 2009 Dan Horák <dan[at]danny.cz> - 2.20.10b-1
- initial Fedora version
